import sys
urbanEnginePath = 'L:/dagush/Citadel/urbanEngine/'
urbanEngineDemosPath = urbanEnginePath + 'Demos/'
sys.path.append(urbanEnginePath + 'FileReaders')
sys.path.append(urbanEnginePath + 'Network')
sys.path.append(urbanEnginePath + 'buildingEngine')
sys.path.append(urbanEnginePath + 'FileReaders')

import XMLShapeFileReader
import xmlshape
import simpleBuilding
import network

print "========================================================"
print "=              urbanEngine Dev Version                 ="
print "=            Geometry and Graphics Group               ="
print "=            Universitat de Girona, Spain              ="
print "=          (c) GGG - all rights reserved               ="
print "========================================================"
print "    http://ima.udg.edu/~dagush/Projects/urbanEngine     "
print "========================================================"


def mainSB():
	simpleBuilding.buildBuildingHDA(urbanEngineDemosPath + 'Textures/')	

def mainGi():
	network.main(urbanEngineDemosPath,'girona.xml')

def mainV():
	network.main(urbanEngineDemosPath, 'voronoi.xml')

def mainGrid():
	network.main(urbanEngineDemosPath, 'grid.xml')

def mainD():
	network.main(urbanEngineDemosPath, 'districts.xml')

def mainB1():
	xmlshape.create(urbanEnginePath + 'demos/building1.xml')

def mainB2():
	xmlshape.create(urbanEnginePath + 'demos/building2.xml')

def testXMLShape():
	XMLShapeFileReader.XMLShape2CGAShape(urbanEngineDemosPath + 'building1.xml')